#
# spec file for package python-flake8-docstrings
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-flake8-docstrings
Version:        1.3.0
Release:        lp151.1.1
Summary:        Extension for flake8 which uses pydocstyle to check docstrings
License:        MIT
Group:          Development/Languages/Python
Url:            https://gitlab.com/pycqa/flake8-docstrings
Source:         https://files.pythonhosted.org/packages/source/f/flake8-docstrings/flake8-docstrings-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-flake8
Requires:       python-flake8-polyfill
Requires:       python-pydocstyle >= 2.1.0
BuildArch:      noarch

%python_subpackages

%description
A module that adds an extension for the pydocstyle tool to flake8.

%prep
%setup -q -n flake8-docstrings-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%doc LICENSE
%{python_sitelib}/*

%changelog
* Fri May 18 2018 jengelh@inai.de
- Trim bias from description.
* Wed May  9 2018 toddrme2178@gmail.com
- Use license tag
* Thu Jan  4 2018 arun@gmx.de
- specfile:
  * update copyright year
  * update pydocstyle version requirement to 2.1.0
  * remove test requirements (were commented out already), since there
    are no tests
- update to version 1.3.0:
  * Bump minimum pydocstyle version to 2.1.0
- changes from version 1.2.0:
  * Fix EnvironError and AllError invocations
  * Avoid Flake8 warning for requesting "builtins"
* Wed Oct 18 2017 alarrosa@suse.com
- Update to 1.1.0
- Use singlespec
* Mon Mar 24 2014 toddrme2178@gmail.com
- Initial version
